package sy;

import ComprehensiveWorkingHourServiceImpl.beforlog;
import com.engine.common.util.ServiceUtil;
import com.engine.jucailinkq.attendance.attendanceanalysis.service.AttendanceSummaryService;
import com.engine.jucailinkq.attendance.attendanceanalysis.service.impl.AttendanceSummaryServiceImpl;
import com.engine.jucailinkq.attendance.component.ImportAndExport.service.ExcelExportImportService;
import com.engine.jucailinkq.attendance.component.ImportAndExport.service.impl.ExcelExportImportServiceImpl;
import com.engine.jucailinkq.attendance.workflow.service.AskForLeaveService;
import com.engine.jucailinkq.attendance.workflow.service.OvertimePlanService;
import com.engine.jucailinkq.attendance.workflow.service.impl.AskForLeaveServiceImpl;
import com.engine.jucailinkq.attendance.workflow.service.impl.OvertimePlanServiceImpl;
import org.junit.Test;
import weaver.general.Util;
import weaver.hrm.User;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Author: sy
 * @Description:
 * @Date: 2024/5/13
 **/
public class testOvertimePlan extends beforlog {

    private OvertimePlanService getOvertimePlanService(User user) {
        return ServiceUtil.getService(OvertimePlanServiceImpl.class,user);
    }
    @Test
    public void test() throws Exception {
        User user = new User();
        user.setUid(1);
        user.setLanguage(7);

        Map<String, Object> params = new HashMap<>();
        Map<String,String> mainTableData = new HashMap<>();

        mainTableData.put("jbry", "23");
        mainTableData.put("jblx", "145");
        mainTableData.put("ksrq", "2024-07-24");
        mainTableData.put("jsrq", "2024-07-24");
        mainTableData.put("kssj", "12:00");
        mainTableData.put("jssj", "20:00");

        params.put("mainTableData", mainTableData);

        getOvertimePlanService(user).generateOvertimePlanDetails(params);



    }

}
